<?php
class ippanel extends ZipmarketSms {

    function __construct($message,$gsmnumber){
        $this->message = $this->utilmessage($message);
        $this->gsmnumber = $this->utilgsmnumber($gsmnumber);
    }

    function send(){
        if($this->gsmnumber == "numbererror"){
            $log[] 		= ("Number format error.".$this->gsmnumber);
            $error[] 	= ("Number format error.".$this->gsmnumber);
            return null;
        }

        $params = $this->getParams();
		
		$username 	= $params->user;
		$password 	= $params->pass;
		$to 		= $this->gsmnumber;
		$text 		= $this->message;
		$From 		= $params->senderid;
		
		$url = "37.130.202.188/services.jspd";
		
		$rcpt_nm = array($to);
		$param = array
					(
						'uname' 	=> $username,
						'pass' 		=> $password,
						'from' 		=> $From,
						'message' 	=> $text,
						'to' 		=> json_encode($rcpt_nm),
						'op' 		=> 'send'
					);
					
		$handler = curl_init($url);             
		curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
		curl_setopt($handler, CURLOPT_POSTFIELDS, $param);                       
		curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
		$response2 = curl_exec($handler);
		
		$response2 = json_decode($response2);
		$res_code = $response2[0];
		$res_data = $response2[1];
		
        return array(
            'log' 	=> $res_data,
            'error' => '',
            'msgid' => $res_data,
        );
		
    }

    function balance(){
		return null;
    }

    function report($msgid){
		return null;
    }

    //You can spesifically convert your gsm number. See netgsm for example
    function utilgsmnumber($number){		
        return $number;
    }
	
    //You can spesifically convert your message
    function utilmessage($message){
        return $message;
    }
}

return array(
    'value' => 'ippanel',
    'label' => 'آیپی پنل ( ippanel.com )',
    'fields' => array(
        'user','pass'
    )
);

